# ipaserver.plugins.trust.fetch_domains_from_trust

ipaserver.plugins.trust.fetch_domains_from_trust(myapi, trustinstance, **options)

  Contact trust forest root DC and fetch trusted forest topology information.

  Parameters

    - myapi – API instance

    - trustinstance – Initialized instance of dcerpc.TrustDomainJoins class

    - options – options passed from API command’s execute() method

  Returns

    dict containing forest domain information and forest-wide UPN suffixes (if any)